#ifndef __INCLUDE_ADC_H__
#define __INCLUDE_ADC_H__

#define ADC0 PF0
#define DEMO1 PC2
#define DEMO2 PC3

#define IR_THRESHOLD 600
#define OBS_WAIT 0xFFF0
#define MAX_SCORE 5

void adc_init(void);

// Returns the ADC value
int adc_read(void);

// Returns a low-pass filtered ADC value
int adc_getValue();

#endif //ifndef __INCLUDE_ADC_H__
