#ifndef __INCLUDE_MACRO_H
#define __INCLUDE_MACRO_H

typedef char bool;
#define TRUE 1
#define FALSE 0
#define ALARMON 1
#define ALARMOFF 0

#ifndef NULL
#define NULL ((void*)0)
#endif

#define SET_BIT(reg, bit) (reg |= (1 << bit))
#define CLEAR_BIT(reg, bit) (reg &= ~(1 << bit))
//#define TEST_BIT(reg, bit) ((reg & (1 << bit)) != bit)
#define TEST_BIT(reg, bit) (reg & (1 << bit))

#define _DELAY_MS(msec) do { if ((msec)<10) _delay_ms(msec); else \
	{int cntr; for(cntr=0; cntr<(msec); cntr+=10) _delay_ms(10);}} while (0)

#define _DELAY_US(usec) do { if ((usec)<10) _delay_us(usec); else \
	{int cntr; for(cntr=0; cntr<(usec); cntr+=10) _delay_us(10);}} while (0)



#endif // __INCLUDE_MACRO_H
