#ifndef __INCLUDE_SPI_H
#define __INCLUDE_SPI_H


#define MISO DDB3
#define MOSI DDB2
#define SCK DDB1
#define SS0 DDB0
#define SS1 DDB4
#define SS2 DDB5
#define OE DDB6

#define DUMMY 0xFF
#define MAX_STRING_LENGTH 64


void SPI_MasterInit(void);
void SPI_MasterTransmit(char data);
void SPI_can_MasterTransmit(char cData);
char SPI_SlaveTransmit(void);
void SPI_StringTransmit(char* string);


#endif // __INCLUDE_SPI_H
